Summary:        Run-time type checker for Python
Name:           python-typeguard
Version:        2.13.3
Release:        3%{?dist}
License:        MIT
URL:            https://github.com/agronholm/typeguard
Source0:        %{pypi_source typeguard}

BuildArch:      noarch

BuildRequires:  python3-devel

%description
This library provides run-time type checking for functions defined with PEP 484
argument (and return) type annotations.


%package -n python3-typeguard
Summary:        %{summary}

%description -n python3-typeguard
This library provides run-time type checking for functions defined with PEP 484
argument (and return) type annotations.


%prep
%autosetup -n typeguard-%{version}

sed -r -i '/\b(mypy)\b/d' setup.cfg
sed -r -i '/\b(sphinx_rtd_theme)\b/d' setup.cfg
sed -r -i \
    's/get_distribution\(.*\)\.parsed_version/parse_version\("%{version}"\)/' \
    docs/conf.py

echo 'intersphinx_mapping.clear()' >> docs/conf.py


%generate_buildrequires
%pyproject_buildrequires -x test


%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files typeguard


%check
k="${k-}${k+ and }not test_cached_module"
k="${k-}${k+ and }not test_positive"
k="${k-}${k+ and }not test_negative"

%pytest -k "${k-}"


%files -n python3-typeguard -f %{pyproject_files}
%license LICENSE
%doc README.rst



%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.13.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.13.3-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Dec 6 2022 cunshunxia <cunshunxia@tencent.com> - 2.13.3-1
- initial build
